Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.server.handler
Class HandlerWrapper

    java.lang.Object
      org.eclipse.jetty.util.component.AbstractLifeCycle
          org.eclipse.jetty.server.handler.AbstractHandler
              org.eclipse.jetty.server.handler.AbstractHandlerContainer
                  org.eclipse.jetty.server.handler.HandlerWrapper

All Implemented Interfaces:
  Handler, HandlerContainer, LifeCycle

Direct Known Subclasses:
  ConnectHandler, DebugHandler, IPAccessHandler, RequestLogHandler, RewriteHandler, ScopedHandler, SecurityHandler, Server, StatisticsHandler, WebSocketHandler

    public class HandlerWrapper

extends AbstractHandlerContainer

A `HandlerWrapper` acts as a `Handler` but delegates the `handle` method and `life cycle` events to a delegate. This is primarily used to implement the Decorator pattern.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`AbstractLifeCycle.AbstractLifeCycleListener`

Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle
`LifeCycle.Listener`

Field Summary
`protected Handler` | `_handler`

Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

Constructor Summary
`HandlerWrapper()`

Method Summary
`protected void` | `doStart()`
`protected void` | `doStop()`
`protected java.lang.Object` | `expandChildren(java.lang.Object list, java.lang.Class byClass)`
`Handler` | `getHandler()`
`Handler[]` | `getHandlers()`
`
`<H extends Handler> H`
` | `getNestedHandlerByClass(java.lang.Class<H> byclass)`
`void` | `handle(java.lang.String target, Request baseRequest, HttpServletRequest request, HttpServletResponse response)` Handle a request.
`void` | `setHandler(Handler handler)`
`void` | `setServer(Server server)`

Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandlerContainer
`dump, dumpHandlers, expandHandler, getChildHandlerByClass, getChildHandlers, getChildHandlersByClass`

Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandler
`destroy, dump, dump, getServer, toString`

Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`addLifeCycleListener, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Field Detail

### _handler

    protected Handler _handler

Constructor Detail

### HandlerWrapper

    public HandlerWrapper()

Method Detail

### getHandler

    public Handler getHandler()

  Returns:
    Returns the handlers.

### getHandlers

    public Handler[] getHandlers()

  Returns:
    Returns the handlers.

### setHandler

    public void setHandler(Handler handler)

  Parameters:
    `handler` - Set the `Handler` which should be wrapped.

### doStart

    protected void doStart()
                    throws java.lang.Exception

  Overrides:
    `doStart` in class `AbstractHandler`
  Throws:
    `java.lang.Exception`

### doStop

    protected void doStop()
                   throws java.lang.Exception

  Overrides:
    `doStop` in class `AbstractHandler`
  Throws:
    `java.lang.Exception`

### handle

    public void handle(java.lang.String target,
                       Request baseRequest,
                       HttpServletRequest request,
                       HttpServletResponse response)
                throws java.io.IOException,
                       ServletException

  Description copied from interface: `Handler`
  Handle a request.

  Parameters:
    `target` - The target of the request - either a URI or a name.
    `baseRequest` - The original unwrapped request object.
    `request` - The request either as the `Request` object or a wrapper of that request. The `HttpConnection.getCurrentConnection()` method can be used access the Request object if required.
    `response` - The response as the `Response` object or a wrapper of that request. The `HttpConnection.getCurrentConnection()` method can be used access the Response object if required.
  Throws:
    `java.io.IOException`
    `ServletException`

### setServer

    public void setServer(Server server)

  Specified by:
    `setServer` in interface `Handler`
  Overrides:
    `setServer` in class `AbstractHandler`

### expandChildren

    protected java.lang.Object expandChildren(java.lang.Object list,
                                              java.lang.Class byClass)

  Overrides:
    `expandChildren` in class `AbstractHandlerContainer`

### getNestedHandlerByClass

    public <H extends Handler> H getNestedHandlerByClass(java.lang.Class<H> byclass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.